Subject: Re: bug#37820: 25.2; xref using etags incorrect case fold during completion

From: Radey Shouman <[email-masked]>
Date: Fri, 17 Jan 2020 10:34:03 -0500

Dmitry Gutov writes:
 > On 17.01.2020 11:28, Eli Zaretskii wrote:
 > > Can you tell what is the difference in user-facing behavior due to
 > > this change?  I'm not sure I understand that looking at the patch.
 > 
 > Identifier completion in xref-find-definitions (C-u M-. TAB TAB), when 
 > the etags backend is in use, will honor the value of tags-case-fold-search.

I haven't looked at the patch yet, but I can describe the desired
change in user-facing behavior with an example:

Suppose tags-case-fold-search is true in a buffer with a tags table
containing the symbol "CamelCase".

The key sequence M.camelcase will find the definition of CamelCase.
On the other hand, with the current behavior, the key sequence M.cTAB
will show a completion buffer that does not contain "CamelCase".

With a proper fix, the completion buffer will include "CamelCase".